# This file was created automatically by SWIG.
import colordifferencec
class ColorDifferencePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ColorDifference instance at %s>" % (self.this,)
class ColorDifference(ColorDifferencePtr):
    def __init__(self,this):
        self.this = this




class DeltaRGBPtr(ColorDifferencePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def contains(self, *_args, **_kwargs):
        val = apply(colordifferencec.DeltaRGB_contains,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C DeltaRGB instance at %s>" % (self.this,)
class DeltaRGB(DeltaRGBPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(colordifferencec.new_DeltaRGB,_args,_kwargs)
        self.thisown = 1




class DeltaGrayPtr(ColorDifferencePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def contains(self, *_args, **_kwargs):
        val = apply(colordifferencec.DeltaGray_contains,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C DeltaGray instance at %s>" % (self.this,)
class DeltaGray(DeltaGrayPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(colordifferencec.new_DeltaGray,_args,_kwargs)
        self.thisown = 1




class DeltaHSVPtr(ColorDifferencePtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def contains(self, *_args, **_kwargs):
        val = apply(colordifferencec.DeltaHSV_contains,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C DeltaHSV instance at %s>" % (self.this,)
class DeltaHSV(DeltaHSVPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(colordifferencec.new_DeltaHSV,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: colordifference_.py,v $
# $Revision: 1.3 $
# $Author: langer $
# $Date: 2004/09/07 15:17:00 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 


from common import cregisteredclass
from common.IO import parameter

cregisteredclass.registerCClass(ColorDifferencePtr)

FloatRangeParameter = parameter.FloatRangeParameter

deltargb = cregisteredclass.Registration(
    "DeltaRGB", ColorDifferencePtr, DeltaRGB, ordering=1,
    params=[
    FloatRangeParameter('delta_red', (0.0, 1.0, 0.01), 0.0),
    FloatRangeParameter('delta_green', (0.0, 1.0, 0.01), 0.0),
    FloatRangeParameter('delta_blue', (0.0, 1.0, 0.01), 0.0)],
    tip="Range of colors in red, green, and blue space.")

cregisteredclass.Registration(
    'DeltaGray', ColorDifferencePtr, DeltaGray, ordering=2,
    params=[FloatRangeParameter('delta_gray', (0.0, 1.0, 0.01), 0.0)],
    tip="Range of gray values.")

cregisteredclass.Registration(
    'DeltaHSV', ColorDifferencePtr, DeltaHSV, ordering=3,
    params=[
    FloatRangeParameter('delta_hue', (0.0, 360.0, 1.0), 0.0),
    FloatRangeParameter('delta_saturation',
                       (0.0, 1.0, 0.01), 0.0),
    FloatRangeParameter('delta_value',
                       (0.0, 1.0, 0.01), 0.0)],
    tip="Range of colors in hue, saturation, and value space.")
