# This file was created automatically by SWIG.
import elementsc
from SWIG.engine.outputval import OutputValuePtr
from SWIG.engine.elementnodeiterator import *
from SWIG.engine.material import MaterialPtr
from SWIG.engine.gausspoint import GaussPointPtr
class ElementDataPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def name(self, *_args, **_kwargs):
        val = apply(elementsc.ElementData_name,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C ElementData instance at %s>" % (self.this,)
class ElementData(ElementDataPtr):
    def __init__(self,this):
        self.this = this




class ElementPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def material(self, *_args, **_kwargs):
        val = apply(elementsc.Element_material,(self,) + _args, _kwargs)
        if val: val = MaterialPtr(val) 
        return val
    def masterelement(self, *_args, **_kwargs):
        val = apply(elementsc.Element_masterelement,(self,) + _args, _kwargs)
        if val: val = MasterElementPtr(val) 
        return val
    def area(self, *_args, **_kwargs):
        val = apply(elementsc.Element_area,(self,) + _args, _kwargs)
        return val
    def getBndyEdge(self, *_args, **_kwargs):
        val = apply(elementsc.Element_getBndyEdge,(self,) + _args, _kwargs)
        if val: val = BoundaryEdgePtr(val) 
        return val
    def perimeter(self, *_args, **_kwargs):
        val = apply(elementsc.Element_perimeter,(self,) + _args, _kwargs)
        return val
    def integration_points(self, *_args, **_kwargs):
        val = apply(elementsc.Element_integration_points,(self,) + _args, _kwargs)
        return val
    def center(self, *_args, **_kwargs):
        val = apply(elementsc.Element_center,(self,) + _args, _kwargs)
        if val: val = MasterCoordPtr(val) ; val.thisown = 1
        return val
    def ncorners(self, *_args, **_kwargs):
        val = apply(elementsc.Element_ncorners,(self,) + _args, _kwargs)
        return val
    def node_iterator(self, *_args, **_kwargs):
        val = apply(elementsc.Element_node_iterator,(self,) + _args, _kwargs)
        if val: val = ElementNodeIteratorPtr(val) ; val.thisown = 1
        return val
    def mapnode_iterator(self, *_args, **_kwargs):
        val = apply(elementsc.Element_mapnode_iterator,(self,) + _args, _kwargs)
        if val: val = ElementMapNodeIteratorPtr(val) ; val.thisown = 1
        return val
    def funcnode_iterator(self, *_args, **_kwargs):
        val = apply(elementsc.Element_funcnode_iterator,(self,) + _args, _kwargs)
        if val: val = ElementFuncNodeIteratorPtr(val) ; val.thisown = 1
        return val
    def cornernode_iterator(self, *_args, **_kwargs):
        val = apply(elementsc.Element_cornernode_iterator,(self,) + _args, _kwargs)
        if val: val = ElementCornerNodeIteratorPtr(val) ; val.thisown = 1
        return val
    def exterior(self, *_args, **_kwargs):
        val = apply(elementsc.Element_exterior,(self,) + _args, _kwargs)
        return val
    def set_exterior(self, *_args, **_kwargs):
        val = apply(elementsc.Element_set_exterior,(self,) + _args, _kwargs)
        return val
    def dump_exterior(self, *_args, **_kwargs):
        val = apply(elementsc.Element_dump_exterior,(self,) + _args, _kwargs)
        return val
    def set_index(self, *_args, **_kwargs):
        val = apply(elementsc.Element_set_index,(self,) + _args, _kwargs)
        return val
    def get_index(self, *_args, **_kwargs):
        val = apply(elementsc.Element_get_index,(self,) + _args, _kwargs)
        return val
    def appendData(self, *_args, **_kwargs):
        val = apply(elementsc.Element_appendData,(self,) + _args, _kwargs)
        return val
    def setData(self, *_args, **_kwargs):
        val = apply(elementsc.Element_setData,(self,) + _args, _kwargs)
        return val
    def setDataByName(self, *_args, **_kwargs):
        val = apply(elementsc.Element_setDataByName,(self,) + _args, _kwargs)
        return val
    def getData(self, *_args, **_kwargs):
        val = apply(elementsc.Element_getData,(self,) + _args, _kwargs)
        return val
    def getIndexByName(self, *_args, **_kwargs):
        val = apply(elementsc.Element_getIndexByName,(self,) + _args, _kwargs)
        return val
    def getDataByName(self, *_args, **_kwargs):
        val = apply(elementsc.Element_getDataByName,(self,) + _args, _kwargs)
        return val
    def refreshMaterial(self, *_args, **_kwargs):
        val = apply(elementsc.Element_refreshMaterial,(self,) + _args, _kwargs)
        return val
    def outputField(self, *_args, **_kwargs):
        val = apply(elementsc.Element_outputField,(self,) + _args, _kwargs)
        if val: val = OutputValuePtr(val) ; val.thisown = 1
        return val
    def outputFields(self, *_args, **_kwargs):
        val = apply(elementsc.Element_outputFields,(self,) + _args, _kwargs)
        return val
    def outputFieldDerivs(self, *_args, **_kwargs):
        val = apply(elementsc.Element_outputFieldDerivs,(self,) + _args, _kwargs)
        return val
    def outputFlux(self, *_args, **_kwargs):
        val = apply(elementsc.Element_outputFlux,(self,) + _args, _kwargs)
        if val: val = OutputValuePtr(val) ; val.thisown = 1
        return val
    def outputFluxes(self, *_args, **_kwargs):
        val = apply(elementsc.Element_outputFluxes,(self,) + _args, _kwargs)
        return val
    def begin_material_computation(self, *_args, **_kwargs):
        val = apply(elementsc.Element_begin_material_computation,(self,) + _args, _kwargs)
        return val
    def end_material_computation(self, *_args, **_kwargs):
        val = apply(elementsc.Element_end_material_computation,(self,) + _args, _kwargs)
        return val
    def from_master(self, *_args, **_kwargs):
        val = apply(elementsc.Element_from_master,(self,) + _args, _kwargs)
        return val
    def to_master(self, *_args, **_kwargs):
        val = apply(elementsc.Element_to_master,(self,) + _args, _kwargs)
        if val: val = MasterCoordPtr(val) ; val.thisown = 1
        return val
    def __repr__(self, *_args, **_kwargs):
        val = apply(elementsc.Element___repr__,(self,) + _args, _kwargs)
        return val
class Element(ElementPtr):
    def __init__(self,this):
        self.this = this






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: element_.py,v $
# $Revision: 1.15 $
# $Author: langer $
# $Date: 2004/05/04 18:18:55 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov.

from SWIG.engine import mastercoord
from SWIG.engine import edge
from SWIG.common import coord
from SWIG.engine import gausspoint

### Call this function to get a Python list of edges copied out from
### C++.  The resulting list is not mirrored in the C++ code, but is
### free for you to use, destroy, whatever.
###
### Optimization:  Cache these, the way the Boundaries do?
### That would cost storage, but save time, so it might not actually
### be an optimization.
###
### And, also, the perimeter function in particular returns elements
### which should be owned by Python, which is why thisown is set to 1.
##def _Element__perimeter(self):
##    val = map(edge.EdgePtr, self.perimeter_())
##    for v in val:
##        v.thisown = 1
##    return val

##ElementPtr.perimeter = _Element__perimeter


def _Element__position(self, coords):
    return [self.from_master(c[0], c[1]) for c in coords]

ElementPtr.position = _Element__position

from SWIG.engine.masterelement import MasterElementPtr
from SWIG.common.coord import CoordPtr
from SWIG.engine.mastercoord import MasterCoordPtr
from SWIG.engine.edge import BoundaryEdgePtr

