# This file was created automatically by SWIG.
import orientationc
from SWIG.engine.properties import PropertyPtr
from SWIG.engine.eulerangle import EulerAnglePtr
class OrientationPropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def eulerangle(self, *_args, **_kwargs):
        val = apply(orientationc.OrientationProp_eulerangle,(self,) + _args, _kwargs)
        if val: val = EulerAnglePtr(val) 
        return val
    def __repr__(self):
        return "<C OrientationProp instance at %s>" % (self.this,)
class OrientationProp(OrientationPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(orientationc.new_OrientationProp,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: orientation_.py,v $
# $Revision: 1.11 $
# $Author: langer $
# $Date: 2004/03/16 16:45:39 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from engine import propertyregistration
PropertyRegistration = propertyregistration.PropertyRegistration

from common.IO import parameter
Parameter = parameter.Parameter

from engine.IO import orientationmatrix
OrientationParam = orientationmatrix.OrientationParam
Abg = orientationmatrix.Abg

PropertyRegistration(
   'Orientation', OrientationProp,
   "SWIG.engine.property.orientation.orientation",200,
   [Parameter('angles', OrientationParam, Abg(0.0, 0.0, 0.0) )],
   propertyType="Orientation")

def _Orientation_eulerparam(self):
    angle = self.eulerangle()
    return Abg(angle.alpha(), angle.beta(), angle.gamma())

OrientationPropPtr.eulerparam = _Orientation_eulerparam

# Repr refers to registered name, not classname.  See comments
# in elasticity/iso/iso_.py for reasons why.
def _Orientation___repr__(self):
    return "Orientation(name='%s', angles=%s)" % \
           (self.name(), `self.eulerparam()`)

OrientationPropPtr.__repr__ = _Orientation___repr__

